Home

ripple_path_find

POST
https://xrp.nownodes.io/

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Find payment paths between two accounts for a specific amount. This method calculates possible paths for cross-currency payments using the XRP Ledger's decentralized exchange.

Body

application/json

Find payment paths between two accounts for a specific amount. This method calculates possible paths for cross-currency payments using the XRP Ledger's decentralized exchange.

JSON-RPC request payload.

methodstringripple_path_findrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
source_accountstringrequired

The source account address that would send the payment.

destination_accountstringrequired

The destination account address that would receive the payment.

destination_amountobjectrequired

The amount and currency the destination should receive.

Show child attributes
currencystring

Currency code

issuerstring

Issuer account address for the currency

valuestring

Amount as a string to maintain precision

source_currenciesArray<object>

Currencies that the source account might use to send the payment.

Show child attributes
currencystring

Currency code

Response

200OK

HTTP 200 response for ripple_path_find. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.